export function genActiveRule(routerPrefix) {
    debugger
    return location => location.pathname.startsWith(routerPrefix);
}
export default {
    dev: [{
            name: 'civ_monitor',
            entry: `//${window.location.hostname}:8081/civ_monitor`,
            container: '#micro-container',
            activeRule: genActiveRule('/civbase/civ_monitor'),
        },
        {
            name: 'civweb4',
            entry: `//${window.location.hostname}:3020/civweb4`,
            container: '#micro-container',
            activeRule: genActiveRule('/civbase/civweb4'),
        },
    ],
    prod: [{
        name: 'web4_console',
        entry: `//${window.location.host}/civweb4`,
        container: '#micro-container',
        activeRule: genActiveRule('/civbase/civweb4'),
        props: {},
    }, ],
};